LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-14-2003, 04:17 AM   #1
Kyoushu
LQ Newbie
 
Registered: Sep 2003
Posts: 5

Rep: Reputation: 0
Kernel Compile and DAC960


I'm trying to compile linux kernel 2.4.22 but I'm having some problems.
i get throught menuconfig, and then have to type "make dep" this starts to run, but then stops with the error

*** no rule to make target 'DAC960.c' , need by '/usr/src/linux-2.4.22/include/linux/modules/DAC960.ver' . Stop.

I tried going through the menuconfig stage again, and I KNOW that DAC960 is not selected in the block devices category, only floppy is selected in there. I had a quick look in the kernel sources directories too, and there are DAC960.c and DAC960.h files in the linux-2.4.22/drivers directory but as far as I can see there is no such file as /usr/src/linux-2.4.22/include/linux/modules/DAC960.ver .

Please help as I really want to get this working! Many thanks.
 
Old 09-14-2003, 06:53 AM   #2
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
are you typing make mrproper before you type make xconfig? check this out if you think it will guide you any better....
 
Old 09-14-2003, 04:43 PM   #3
Kyoushu
LQ Newbie
 
Registered: Sep 2003
Posts: 5

Original Poster
Rep: Reputation: 0
tried that, no change.now tried all 3 different config menus, and i always get this error on make dep

whats going on????!!!!!
 
Old 09-14-2003, 05:39 PM   #4
TheOneAndOnlySM
Member
 
Registered: Jul 2003
Location: Dallas, TX
Distribution: Ubuntu 10.04 LTS
Posts: 987

Rep: Reputation: 30
have you ever had a problem compiling your kernel before?

perhaps try compiling a 2.4.21 kernel and see if u get the same problem

other than that, try reinstalling or redownloading the source
 
Old 09-15-2003, 05:56 PM   #5
Kyoushu
LQ Newbie
 
Registered: Sep 2003
Posts: 5

Original Poster
Rep: Reputation: 0
just got hold of 2.4.21 and 2.4.20 kernels and i get the same error as i originally posted in them.ive tried do make mrproper, using different config menus, everything i cna think of!!!ARGH!!!!

any suggestions at all?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
DAC960 issue on boot with raid.s trepur Slackware 2 12-07-2004 03:00 PM
Fedora Core(2) Installation & Mylex DAC960 nazruli Linux - Hardware 0 11-10-2004 05:57 PM
DAC960#0: Physical Drive 0:0 is now DEAD benjic22 Linux - Newbie 0 04-14-2004 10:06 AM
Kernel 2.4.23 compile causes kernel panics on ATA RAID-1 (mirror) array Raptor Ramjet Slackware 3 12-18-2003 01:40 PM
installing rh7.2 alpha on mylex dac960 gschnackenberg Linux - Hardware 3 09-13-2003 02:59 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 10:54 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration